package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysDept;

import java.util.List;

/**
 * 部门管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 15:03
 */
public interface SysDeptMapper extends BaseMapper<SysDept> {

    /**
     * 校验部门名称是否唯一
     *
     * @param dept 部门信息
     * @return 结果
     */
    int checkDeptNameUnique(SysDept dept);

    /**
     * 根据角色ID查询部门树信息
     *
     * @param roleId 角色ID
     * @return 选中部门列表
     */
    List<String> selectDeptIdsByRoleId(String roleId);

}
