package com.qiaoba.module.system.mapper;

import com.qiaoba.api.system.entity.SysMenu;
import com.qiaoba.api.system.entity.vo.SysMenuVo;
import com.qiaoba.common.database.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 菜单管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/5 11:36
 */
public interface SysMenuMapper extends BaseMapperPlus<SysMenuMapper, SysMenu, SysMenuVo> {

    /**
     * 校验菜单名称是否唯一
     *
     * @param sysMenu 菜单
     * @return count
     */
    int checkMenuNameUnique(SysMenu sysMenu);

    /**
     * 根据角色ID查询菜单树信息
     *
     * @param roleId 角色ID
     * @return 选中菜单ID列表
     */
    List<String> selectMenuIdsByRoleId(String roleId);
}
