package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysUserRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户角色关联 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/9 9:50
 */
public interface SysUserRoleMapper extends BaseMapper<SysUserRole> {

    /**
     * 通过userId查询所绑定的角色ID列表
     *
     * @param userId userId
     * @return roleIds
     */
    List<String> selectRoleIdsByUserId(String userId);

    /**
     * 批量取消角色所绑定的用户
     *
     * @param roleId  roleId
     * @param userIds userIds
     */
    void deleteByRoleIdAndUserIds(@Param("roleId") String roleId, @Param("list") List<String> userIds);
}
