package com.qiaoba.module.system.service;

import cn.hutool.core.lang.tree.Tree;
import com.qiaoba.api.system.entity.vo.SysMenuVo;
import com.qiaoba.api.system.service.SysMenuApiService;

import java.util.List;

/**
 * 菜单管理 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/5 11:30
 */
public interface SysMenuService extends SysMenuApiService {


    /**
     * 构建前端所需要下拉树结构
     *
     * @param menus 菜单列表
     * @return 下拉树结构列表
     */
    List<Tree<String>> buildMenuTree(List<SysMenuVo> menus);

    /**
     * 根据角色ID查询菜单树信息
     *
     * @param roleId 角色ID
     * @return 选中菜单ID列表
     */
    List<String> selectMenuIdsByRoleId(String roleId);
}
