package com.qiaoba.module.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.toolkit.Db;
import com.qiaoba.api.system.entity.SysUserPost;
import com.qiaoba.module.system.mapper.SysUserPostMapper;
import com.qiaoba.module.system.service.SysUserPostService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户岗位关联 服务层实现
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/10 13:03
 */
@Service
@RequiredArgsConstructor
public class SysUserPostServiceImpl implements SysUserPostService {

    private final SysUserPostMapper sysUserPostMapper;

    @Override
    public void insertBatch(List<SysUserPost> list) {
        Db.saveBatch(list);
    }

    @Override
    public void deleteByUserId(String userId) {
        sysUserPostMapper.delete(createWrapper(userId));
    }

    @Override
    public List<String> selectPostIdsByUserId(String userId) {
        return sysUserPostMapper.selectPostIdsByUserId(userId);
    }

    private QueryWrapper<SysUserPost> createWrapper(String userId) {
        QueryWrapper<SysUserPost> wrapper = new QueryWrapper<>();
        wrapper.lambda()
                .eq(SysUserPost::getUserId, userId);
        return wrapper;
    }
}
